# wx-api
微信公众号管理系统，支持多公众号接入。提供公众号菜单、自动回复、公众号素材、模板消息、CMS等管理功能

### [📖使用文档](https://www.yuque.com/nifury/wx)  | [Github仓库](https://github.com/niefy/wx-api) | [码云仓库](https://gitee.com/niefy/wx-api)

## 项目说明
- wx-api是一个轻量级的公众号开发种子项目，可快速接入微信公众号管理功能
- 管理后台前端项目wx-manage：https://github.com/niefy/wx-manage
- 移动端示例wx-client: https://github.com/niefy/wx-client
- swagger文档（启动wx-api后查看）：http://localhost:8088/wx/swagger-ui/index.html

## [docker方式启动文档](https://www.yuque.com/nifury/wx/nf1rvm)
## [开发环境启动文档](https://www.yuque.com/nifury/wx/guobb7)
## [生产环境部署步骤](https://www.yuque.com/nifury/wx/ofehhv)

## 技术选型
- 核心框架：Spring Boot
- 安全框架：Apache Shiro
- 持久层框架：[MyBatis-Plus](https://baomidou.oschina.io/mybatis-plus-doc/#/quick-start)
- 公众号开发框架：[WxJava](https://github.com/Wechat-Group/WxJava)
- 项目脚手架：[renren-fast](https://gitee.com/renrenio/renren-fast)
- 页面交互：Vue2.x、ElementUI、TinyMce Editor、Vuex


## 截图
![公众号账号](https://s1.ax1x.com/2020/06/23/NUTQAg.png)
![公众号菜单](https://s1.ax1x.com/2020/06/23/NUTlNQ.png)
![自动回复](https://s1.ax1x.com/2020/04/10/GTqyQA.png)
![模板消息配置](https://s1.ax1x.com/2020/04/18/JnKZhF.jpg)
![模板消息发送](https://s1.ax1x.com/2020/04/18/JnKEkT.jpg)
![粉丝管理](https://s1.ax1x.com/2020/04/18/JnKVtU.jpg)
![带参二维码](https://s1.ax1x.com/2020/04/18/JnKF00.jpg)
![素材管理](https://s1.ax1x.com/2020/05/20/Y7djHI.jpg)
![公众号消息](https://s1.ax1x.com/2020/05/20/Y7dXDA.jpg)
![文章编辑](https://s1.ax1x.com/2020/04/10/GTqrzd.png)
![系统菜单管理](https://s1.ax1x.com/2020/04/18/JnKk7V.jpg)
![管理员列表](https://s1.ax1x.com/2020/04/18/JnKimq.jpg)

## [项目开发进度](https://www.yuque.com/nifury/wx/kens6d)
## [代码贡献指南](https://www.yuque.com/nifury/wx/ykqswi)

## 开发交流
QQ群：1023785886（已满）、993128490 技术交流群严禁广告，发广告立即踢出+拉黑+举报，加群密码：wx 
